"""
    FreeClimb API

    FreeClimb is a cloud-based application programming interface (API) that puts the power of the Vail platform in your hands. FreeClimb simplifies the process of creating applications that can use a full range of telephony features without requiring specialized or on-site telephony equipment. Using the FreeClimb REST API to write applications is easy! You have the option to use the language of your choice or hit the API directly. Your application can execute a command by issuing a RESTful request to the FreeClimb API. The base URL to send HTTP requests to the FreeClimb REST API is: /apiserver. FreeClimb authenticates and processes your request.  # noqa: E501

    The version of the OpenAPI document: 1.0.0
    Contact: support@freeclimb.com
    Generated by: https://openapi-generator.tech
"""


import sys
import unittest
import datetime
import decimal

import freeclimb
from freeclimb.model.add_to_conference import AddToConference
from freeclimb.model.create_conference import CreateConference
from freeclimb.model.dequeue import Dequeue
from freeclimb.model.enqueue import Enqueue
from freeclimb.model.get_digits import GetDigits
from freeclimb.model.get_digits_all_of import GetDigitsAllOf
from freeclimb.model.get_speech import GetSpeech
from freeclimb.model.hangup import Hangup
from freeclimb.model.out_dial import OutDial
from freeclimb.model.park import Park
from freeclimb.model.pause import Pause
from freeclimb.model.percl_command import PerclCommand
from freeclimb.model.play import Play
from freeclimb.model.play_early_media import PlayEarlyMedia
from freeclimb.model.record_utterance import RecordUtterance
from freeclimb.model.redirect import Redirect
from freeclimb.model.reject import Reject
from freeclimb.model.remove_from_conference import RemoveFromConference
from freeclimb.model.say import Say
from freeclimb.model.send_digits import SendDigits
from freeclimb.model.set_listen import SetListen
from freeclimb.model.set_talk import SetTalk
from freeclimb.model.sms import Sms
from freeclimb.model.start_record_call import StartRecordCall
from freeclimb.model.terminate_conference import TerminateConference
from freeclimb.model.unpark import Unpark
globals()['AddToConference'] = AddToConference
globals()['CreateConference'] = CreateConference
globals()['Dequeue'] = Dequeue
globals()['Enqueue'] = Enqueue
globals()['GetDigits'] = GetDigits
globals()['GetDigitsAllOf'] = GetDigitsAllOf
globals()['GetSpeech'] = GetSpeech
globals()['Hangup'] = Hangup
globals()['OutDial'] = OutDial
globals()['Park'] = Park
globals()['Pause'] = Pause
globals()['PerclCommand'] = PerclCommand
globals()['Play'] = Play
globals()['PlayEarlyMedia'] = PlayEarlyMedia
globals()['RecordUtterance'] = RecordUtterance
globals()['Redirect'] = Redirect
globals()['Reject'] = Reject
globals()['RemoveFromConference'] = RemoveFromConference
globals()['Say'] = Say
globals()['SendDigits'] = SendDigits
globals()['SetListen'] = SetListen
globals()['SetTalk'] = SetTalk
globals()['Sms'] = Sms
globals()['StartRecordCall'] = StartRecordCall
globals()['TerminateConference'] = TerminateConference
globals()['Unpark'] = Unpark

from freeclimb.model.get_digits import GetDigits  # noqa: E501


class TestGetDigits(unittest.TestCase):
    """GetDigits unit test stubs"""

    def setUp(self):
        self.model = GetDigits(action_url="TEST_URL")

    def test_action_url(self):
        """Test GetDigits.action_url"""
        self.model.action_url = "TEST_STRING"
        assert self.model.get("action_url") == "TEST_STRING"

    def test_digit_timeout_ms(self):
        """Test GetDigits.digit_timeout_ms"""

        self.model.digit_timeout_ms = 1
        assert self.model.get("digit_timeout_ms") == 1

    def test_finish_on_key(self):
        """Test GetDigits.finish_on_key"""
        self.model.finish_on_key = "TEST_STRING"
        assert self.model.get("finish_on_key") == "TEST_STRING"

    def test_flush_buffer(self):
        """Test GetDigits.flush_buffer"""
        self.model.flush_buffer = False
        assert self.model.get("flush_buffer") == False

    def test_initial_timeout_ms(self):
        """Test GetDigits.initial_timeout_ms"""
        self.model.initial_timeout_ms = "TEST_STRING"
        assert self.model.get("initial_timeout_ms") == "TEST_STRING"

    def test_max_digits(self):
        """Test GetDigits.max_digits"""

        self.model.max_digits = 1
        assert self.model.get("max_digits") == 1

    def test_min_digits(self):
        """Test GetDigits.min_digits"""

        self.model.min_digits = 1
        assert self.model.get("min_digits") == 1

    def test_prompts(self):
        """Test GetDigits.prompts"""

        testList = []
        self.model.prompts = testList
        assert self.model.get("prompts") == testList

    def test_privacy_mode(self):
        """Test GetDigits.privacy_mode"""
        self.model.privacy_mode = False
        assert self.model.get("privacy_mode") == False

    def test_command_test(self):
        assert self.model.command == "GetDigits"


if __name__ == '__main__':
    unittest.main()
