"""
    FreeClimb API

    FreeClimb is a cloud-based application programming interface (API) that puts the power of the Vail platform in your hands. FreeClimb simplifies the process of creating applications that can use a full range of telephony features without requiring specialized or on-site telephony equipment. Using the FreeClimb REST API to write applications is easy! You have the option to use the language of your choice or hit the API directly. Your application can execute a command by issuing a RESTful request to the FreeClimb API. The base URL to send HTTP requests to the FreeClimb REST API is: /apiserver. FreeClimb authenticates and processes your request.  # noqa: E501

    The version of the OpenAPI document: 1.0.0
    Contact: support@freeclimb.com
    Generated by: https://openapi-generator.tech
"""


import sys
import unittest
from datetime import datetime, date

import freeclimb
from freeclimb.model.play_beep import PlayBeep
from freeclimb.model.update_conference_request_status import UpdateConferenceRequestStatus
globals()['PlayBeep'] = PlayBeep
globals()['UpdateConferenceRequestStatus'] = UpdateConferenceRequestStatus

from freeclimb.model.update_conference_request import UpdateConferenceRequest  # noqa: E501


class TestUpdateConferenceRequest(unittest.TestCase):
    """UpdateConferenceRequest unit test stubs"""

    def setUp(self):
        self.model = UpdateConferenceRequest()

    def test_alias(self):
        """Test UpdateConferenceRequest.alias"""
        self.model.alias = "TEST_STRING"
        assert self.model.get("alias") == "TEST_STRING"

    def test_play_beep(self):
        """Test UpdateConferenceRequest.play_beep"""
        self.model.play_beep = PlayBeep.ALWAYS
        assert self.model.get("play_beep") == PlayBeep.ALWAYS
        self.model.play_beep = PlayBeep.NEVER
        assert self.model.get("play_beep") == PlayBeep.NEVER
        self.model.play_beep = PlayBeep.ENTRY_ONLY
        assert self.model.get("play_beep") == PlayBeep.ENTRY_ONLY
        self.model.play_beep = PlayBeep.EXIT_ONLY
        assert self.model.get("play_beep") == PlayBeep.EXIT_ONLY

    def test_status(self):
        """Test UpdateConferenceRequest.status"""
        self.model.status = UpdateConferenceRequestStatus.EMPTY
        assert self.model.get("status") == UpdateConferenceRequestStatus.EMPTY
        self.model.status = UpdateConferenceRequestStatus.TERMINATED
        assert self.model.get(
            "status") == UpdateConferenceRequestStatus.TERMINATED


if __name__ == '__main__':
    unittest.main()
